# Uses of Interface
org.eclipse.emf.cdo.common.id.CDOIDGenerator

Packages that use CDOIDGenerator
Package
Description
org.eclipse.emf.cdo.common.id
Common concepts for dealing with object and revision IDs.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.workspace
Concepts to checkout, open and further operate CDO `workspaces`.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOIDGenerator in org.eclipse.emf.cdo.common.id

Fields in org.eclipse.emf.cdo.common.id declared as CDOIDGenerator
Modifier and Type
Field
Description
`static final CDOIDGenerator`
CDOIDGenerator.`NULL`
Generates `NULL` values.
`static final CDOIDGenerator`
CDOIDGenerator.`UUID`
Generates `UUID` values.

## Uses of CDOIDGenerator in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOIDGenerator
Modifier and Type
Method
Description
`CDOIDGenerator`
CDOSession.`getIDGenerator()`
Returns the CDO `ID generator` of this session.
`CDOIDGenerator`
CDOSessionConfiguration.`getIDGenerator()`
Methods in org.eclipse.emf.cdo.session with parameters of type CDOIDGenerator
Modifier and Type
Method
Description
`void`
CDOSessionConfiguration.`setIDGenerator(CDOIDGenerator idGenerator)`
A special ID generator can be set before the session is opened and can not be changed thereafter.

## Uses of CDOIDGenerator in org.eclipse.emf.cdo.workspace

Methods in org.eclipse.emf.cdo.workspace that return CDOIDGenerator
Modifier and Type
Method
Description
`CDOIDGenerator`
CDOWorkspaceConfiguration.`getIDGenerator()`
Methods in org.eclipse.emf.cdo.workspace with parameters of type CDOIDGenerator
Modifier and Type
Method
Description
`void`
CDOWorkspaceConfiguration.`setIDGenerator(CDOIDGenerator idGenerator)`

## Uses of CDOIDGenerator in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDOIDGenerator
Modifier and Type
Method
Description
`void`
InternalCDOSession.`setIDGenerator(CDOIDGenerator idGenerator)`